l2tpns (2.1.21-1.1) debian-dir only changes

Summary

 debian/changelog |   73 ++++++++++++++++++++++++++++++++++++++++++++++++
 debian/compat    |    1 
 debian/control   |   20 +++++++++++++
 debian/copyright |   10 ++++++
 debian/dirs      |    4 ++
 debian/init.d    |   74 +++++++++++++++++++++++++++++++++++++++++++++++++
 debian/postinst  |   13 ++++++++
 debian/postrm    |   11 +++++++
 debian/preinst   |   13 ++++++++
 debian/prerm     |   13 ++++++++
 debian/rules     |   82 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/watch     |    4 ++
 12 files changed, 318 insertions(+)

    
download this patch

Patch contents

--- l2tpns-2.1.21.orig/debian/dirs
+++ l2tpns-2.1.21/debian/dirs
@@ -0,0 +1,4 @@
+usr/bin
+usr/sbin
+usr/lib/l2tpns
+var/lib/l2tpns
--- l2tpns-2.1.21.orig/debian/control
+++ l2tpns-2.1.21/debian/control
@@ -0,0 +1,20 @@
+Source: l2tpns
+Section: net
+Priority: optional
+Maintainer: Jonathan McDowell <noodles@earth.li>
+Build-Depends: debhelper (>> 4), libcli-dev (>> 1.8.5)
+Standards-Version: 3.7.2.0
+
+Package: l2tpns
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: layer 2 tunnelling protocol network server (LNS)
+ l2tpns is a daemon designed to terminate large volumes of layer 2
+ tunnelling protocol (RFC 2661: L2TP) sessions.
+ .
+ The daemon supports up to 65535 sessions plus features such as rate
+ limiting, walled garden, usage accounting, and clustering (for both
+ load-sharing and redundancy).
+ .
+ Note that only the LNS side of the L2TP protocol is implemented, for
+ a more complete L2TP implementation see the l2tpd package.
--- l2tpns-2.1.21.orig/debian/postrm
+++ l2tpns-2.1.21/debian/postrm
@@ -0,0 +1,11 @@
+#! /bin/sh
+# postrm script for l2tpns
+
+set -e
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- l2tpns-2.1.21.orig/debian/copyright
+++ l2tpns-2.1.21/debian/copyright
@@ -0,0 +1,10 @@
+This package was debianized by Jonathan McDowell <noodles@earth.li> on
+Wed, 30 Jun 2004 12:47:44 +0100.
+
+It was downloaded from http://sf.net/projects/l2tpns
+
+Upstream Author: David Parrish (david@dparrish.com)
+
+You are free to distribute this software under the terms of the GNU
+General Public License. The full text of this license can be found
+in the file /usr/share/common-licenses/GPL
--- l2tpns-2.1.21.orig/debian/init.d
+++ l2tpns-2.1.21/debian/init.d
@@ -0,0 +1,74 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          l2tpns
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+### END INIT INFO
+#
+# l2tpns	Based on skeleton example file.
+#
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+#		Modified for Debian GNU/Linux
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/l2tpns
+NAME=l2tpns
+DESC=l2tpns
+ARGS="-d"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON -- $ARGS
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --oknodo --stop --signal 3 --quiet \
+		--pidfile /var/run/$NAME.pid --exec $DAEMON -- $ARGS
+	echo "$NAME."
+	;;
+  reload)
+	#
+	#	If the daemon can reload its config files on the fly
+	#	for example by sending it SIGHUP, do it here.
+	#
+	#	If the daemon responds to changes in its config file
+	#	directly anyway, make this a do-nothing entry.
+	#
+	echo "Reloading $DESC configuration files."
+	start-stop-daemon --stop --signal 1 --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $ARGS
+	;;
+  restart|force-reload)
+	#
+	#	If the "reload" option is implemented, move the "force-reload"
+	#	option to the "reload" entry above. If not, "force-reload" is
+	#	just the same as "restart".
+	#
+	echo -n "Restarting $DESC: "
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $ARGS
+	sleep 5
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $ARGS
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
--- l2tpns-2.1.21.orig/debian/compat
+++ l2tpns-2.1.21/debian/compat
@@ -0,0 +1 @@
+4
--- l2tpns-2.1.21.orig/debian/postinst
+++ l2tpns-2.1.21/debian/postinst
@@ -0,0 +1,13 @@
+#! /bin/sh
+# postinst script for l2tpns
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- l2tpns-2.1.21.orig/debian/rules
+++ l2tpns-2.1.21/debian/rules
@@ -0,0 +1,82 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE)
+	#/usr/bin/docbook-to-man debian/l2tpns.sgml > l2tpns.1
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) clean
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/l2tpns
+	install -D -m 644 -o root -g root etc/l2tpns.logrotate \
+		$(CURDIR)/debian/l2tpns/etc/logrotate.d/l2tpns
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf	
+	dh_installdocs Docs/manual.html
+	dh_installexamples
+	dh_installmenu
+#	dh_installlogrotate
+#	dh_installpam
+	dh_installinit
+	dh_installcron
+	dh_installman
+	dh_installinfo
+	dh_installchangelogs Changes
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- l2tpns-2.1.21.orig/debian/watch
+++ l2tpns-2.1.21/debian/watch
@@ -0,0 +1,4 @@
+# format version number, currently 3; this line is compulsory!
+version=3
+
+http://sf.net/l2tpns/l2tpns-(.*)\.tar\.gz
--- l2tpns-2.1.21.orig/debian/prerm
+++ l2tpns-2.1.21/debian/prerm
@@ -0,0 +1,13 @@
+#! /bin/sh
+# prerm script for l2tpns
+
+set -e
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- l2tpns-2.1.21.orig/debian/preinst
+++ l2tpns-2.1.21/debian/preinst
@@ -0,0 +1,13 @@
+#! /bin/sh
+# preinst script for l2tpns
+
+set -e
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- l2tpns-2.1.21.orig/debian/changelog
+++ l2tpns-2.1.21/debian/changelog
@@ -0,0 +1,73 @@
+l2tpns (2.1.21-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Added LSB formatted dependency info in init.d script (closes: #468889)
+
+ -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 01:58:55 +0200
+
+l2tpns (2.1.21-1) unstable; urgency=high
+
+  * New upstream release.
+  * Fixes potential remote code execution; hence urgency=high
+
+ -- Jonathan McDowell <noodles@earth.li>  Tue, 05 Dec 2006 16:52:54 +0000
+
+l2tpns (2.1.19-1) unstable; urgency=low
+
+  * New upstream release.
+  * Add debian/watch file.
+  * Bump Standards-Version to 3.7.2.0 (no changes).
+
+ -- Jonathan McDowell <noodles@earth.li>  Sat, 22 Jul 2006 14:11:14 +0100
+
+l2tpns (2.1.16-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Jonathan McDowell <noodles@earth.li>  Tue, 21 Mar 2006 10:43:11 +0000
+
+l2tpns (2.1.15-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Jonathan McDowell <noodles@earth.li>  Tue, 20 Dec 2005 11:00:23 +0000
+
+l2tpns (2.1.10-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Jonathan McDowell <noodles@earth.li>  Sun, 13 Nov 2005 17:49:49 +0000
+
+l2tpns (2.1.8-1) unstable; urgency=low
+
+  * New upstream release.
+  * Update Standards-Version to 3.6.2.0 (no changes).
+
+ -- Jonathan McDowell <noodles@earth.li>  Tue, 27 Sep 2005 17:20:19 +0100
+
+l2tpns (2.1.3-1) unstable; urgency=low
+
+  * New upstream release.
+ 
+ -- Jonathan McDowell <noodles@earth.li>  Wed, 24 Aug 2005 13:05:42 +0100
+
+l2tpns (2.0.22-1) unstable; urgency=low
+
+  * New upstream release; last of the 2.0 releases as I plan to upload
+    2.1.1 once I've tested it in production myself.
+
+ -- Jonathan McDowell <noodles@earth.li>  Thu, 23 Jun 2005 13:41:57 +0100
+
+l2tpns (2.0.14-1) unstable; urgency=low
+
+  * New upstream release.
+  * Tidy up spelling in Description.
+  * Make lintian happy by lowering case of Layer 2.
+
+ -- Jonathan McDowell <noodles@earth.li>  Thu, 06 Jan 2005 14:22:33 +0000
+
+l2tpns (2.0.8-1) unstable; urgency=low
+
+  * Initial Debian upload. (closes: #280675)
+
+ -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Nov 2004 10:27:01 +0000